BUCKLE(1)

NAME
buckle - Nostalgia bucklespring keyboard sound

SYNOPSIS
buckle [options]

DESCRIPTION
Buckle emulates the sound of an old IBM Model-M space saver bucklespring keyboard while typing within an X session. It runs as a background process and plays back the sound of each key pressed and released on the keyboard, just as if using an IBM Model-M. The sound of each key has carefully been sampled, and is played back while simulating the proper distance and direction for a realistic 3D sound palette of pure nostalgic bliss.

OPTIONS

-d DEVICE use OpenAL audio device DEVICE

-f  use a fallback sound for unknown keys

-g GAIN
    set playback gain [0..100]

-m CODE
    set use CODE as mute key (default 0x46 for scroll lock)

-h  show help

-l  list available openAL audio devices

-p PATH
    load .wav files from directory PATH

-s WIDTH
    set stereo width [0..100]

-v  increase verbosity / debugging

COPYRIGHT
Bucklespring was written by Ico Doornekamp and is published under the terms of the GNU General Public License version 2. This manual page was written by Dominik George for the Debian project.